# Uses of Interface
org.eclipse.core.runtime.IBundleGroup

Packages that use IBundleGroup
Package
Description
org.eclipse.core.runtime
Provides support for the runtime platform, core utility methods and the extension registry.
org.eclipse.ui.internal

## Uses of IBundleGroup in org.eclipse.core.runtime

Methods in org.eclipse.core.runtime that return IBundleGroup
Modifier and Type
Method
Description
`IBundleGroup[]`
IBundleGroupProvider.`getBundleGroups()`
Returns the bundle groups provided by this provider.

## Uses of IBundleGroup in org.eclipse.ui.internal

Methods in org.eclipse.ui.internal with parameters of type IBundleGroup
Modifier and Type
Method
Description
`static String`
BundleGroupProperties.`getBrandingBundleId(IBundleGroup bundleGroup)`
A Feature's branding plugin id.
`static String`
BundleGroupProperties.`getBrandingBundleVersion(IBundleGroup bundleGroup)`
A Feature's branding plugin version.
`static String`
BundleGroupProperties.`getFeatureId(IBundleGroup bundleGroup)`
Returns the id for this bundleGroup.
`static ImageDescriptor`
BundleGroupProperties.`getFeatureImage(IBundleGroup bundleGroup)`
An image which can be shown in an "about features" dialog (32x32).
`static URL`
BundleGroupProperties.`getFeatureImageUrl(IBundleGroup bundleGroup)`
The URL to an image which can be shown in an "about features" dialog (32x32).
`static String`
BundleGroupProperties.`getFeatureLabel(IBundleGroup bundleGroup)`
Returns a label for the feature plugn, or `null`.
`static String`
BundleGroupProperties.`getFeatureVersion(IBundleGroup bundleGroup)`
Returns the feature version id.
`static URL`
BundleGroupProperties.`getLicenseUrl(IBundleGroup bundleGroup)`
A URL for the feature's license page.
`static String`
BundleGroupProperties.`getProviderName(IBundleGroup bundleGroup)`
Returns the provider name.
`static String`
BundleGroupProperties.`getTipsAndTricksHref(IBundleGroup bundleGroup)`
A help reference for the feature's tips and tricks page (optional).
`static URL`
BundleGroupProperties.`getWelcomePageUrl(IBundleGroup bundleGroup)`
A URL for the feature's welcome page (special XML-based format) ($nl$/ prefix to permit locale-specific translations of entire file).
`static String`
BundleGroupProperties.`getWelcomePerspective(IBundleGroup bundleGroup)`
The id of a perspective in which to show the welcome page (optional).
Constructors in org.eclipse.ui.internal with parameters of type IBundleGroup
Modifier
Constructor
Description
``
`BundleGroupProperties(IBundleGroup bundleGroup)`
This instance will return properties from the given bundle group.